-- Outline replaces unfilled pixels NEXT TO edge pixel
local gr = love.graphics
local outline = require 'outline'

function love.load()
	filename = 'people'
	orImage, osImage, olImage,_, olID = outline.image( filename )
	width, height = orImage:getWidth(), orImage:getHeight()
	screen	= { w = width, h = 3*height }
	love.window.setMode(  screen.w,  screen.h, { borderless=true, x=10, y=10 } )
	gr.setBackgroundColor( .3, .3, .3 )
	end

function love.draw()
	gr.setColor( 1, 1 ,1 )
	gr.draw( orImage, 10,   0, 0 )
	gr.draw( osImage, 10, height, 0 )
	gr.draw( olImage, 10, 2*height, 0 )
	gr.setColor( 0, 0, 0 )
	gr.rectangle( 'line', 1, height, width-2, height-1 )
	gr.rectangle( 'line', 1, 1, screen.w-2, screen.h-2 )
	end

function love.keypressed( key )
	if key == "escape"	then love.event.quit() end
	if key == 's'			then olID:encode('png',  filename..'Outlined.png') end
	end


